 -- Script to create table and sp for error logging
CREATE TABLE [dbo].[tblErrorLog] (
    [ErrorID] [int] IDENTITY (1, 1) NOT NULL ,  [DateCreated] [datetime] NOT NULL ,
    [AppID] [int] NULL ,  [ErrorReport] [Text]
) ON [PRIMARY]
GO

CREATE PROCEDURE dbo.spErrorLogInsert
    @AppID INT, @ErrorReport Text
AS
INSERT INTO tblErrorLog (DateCreated, AppID, ErrorReport)
VALUES  (GetDate(),@AppID, @ErrorReport)
GO

GRANT EXECUTE ON spErrorLogInsert to public
GO

-- End of Script
